Can´t compile for wifi rev2

Hello all,

I just bought the Arduino uno wifi rev 2 to work propperly with Blynk.
But I can´t get the right example for the board. I´ve read that I need de MKR1010 example for this board. But even then it gives an error. Could somebody help me with this issue?\

I will put the error below…

Arduino:1.8.13 (Windows 10), Board:"Arduino Uno WiFi Rev2, ATMEGA328"

In file included from C:\Users\lz_zw\libraries\Blynk\src/Blynk/BlynkApi.h:38:0,

                 from C:\Users\lz_zw\libraries\Blynk\src/BlynkApiArduino.h:14,

                 from C:\Users\lz_zw\libraries\Blynk\src/Adapters/BlynkWiFiCommon.h:24,

                 from C:\Users\lz_zw\libraries\Blynk\src/BlynkSimpleWiFiNINA.h:22,

                 from C:\Users\lz_zw\AppData\Local\Temp\arduino_modified_sketch_696043\Arduino_MKR1010.ino:38:

C:\Users\lz_zw\libraries\Blynk\src/Blynk/BlynkConsole.h:20:10: fatal error: functional: No such file or directory

 #include <functional>

          ^~~~~~~~~~~~

compilation terminated.

exit status 1

Fout bij het compileren voor board Arduino Uno WiFi Rev2

This is fixed, but not released yet. You can use the latest library from github master.

Please forgive me but i don’t know what you mean. Where can I find that library? I installed the latest version from the Arduino library “store”.

grtz Bart

Here…

Pete.

Thank you both for your help. I tried that library too but still not functioning :cry:

Exactly what steps have you taken?
Are you seeing exactly the same exults?

Pete.

I made a video en posted it on YouTube.
Hope I’m not to stupid. :see_no_evil:

I wasn’t asking what steps you took to install the library (I assume that’s what you’re doing in the video, the quality is so poor that its difficult to tell) I was asking about ALL of the steps you have taken since you posted your first question about this issue, and whether you are still getting the same error.

Pete.

Well that’s not much. I thought it was plug and play. So I made a template in the app so I’ve had a template ID. After that I installed the library. In the first error I saw that I also missed a library (wifinina what I can remember) so Installed that one as well.
But the error I posted here came up after that. I’ve also tried to fill in the template ID, SSID and key but it didn’t work out as well.

And I don’t know what steps I can take more to fix it.

Despite somebody put my topic on solved, it’s still not working. :persevere: